<?php echo $header; ?>
<div id="content">
<div class="breadcrumb">
  <?php foreach ($breadcrumbs as $breadcrumb) { ?>
  <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
  <?php } ?>
</div>
<div class="box">
  <div class="heading">
    <h1><img src="view/image/module.png" alt="" /> <?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><?php echo $button_cancel; ?></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">      
      <table id="module" class="list">
        <thead>
          <tr>            
            <td class="left"><?php echo $entry_layout; ?></td>
			<td class="left"><?php echo $entry_status; ?></td>
			<td class="left"><?php echo $entry_payment; ?></td>
            <td></td>
          </tr>
        </thead>
        <?php $module_row = 0; ?>
        <?php foreach ($modules as $module) { ?>		
			<input type="hidden" name="affiliate_commission_payment_module[<?php echo $module_row; ?>][width]" value="1">
			<input type="hidden" name="affiliate_commission_payment_module[<?php echo $module_row; ?>][height]" value="1">
			<input type="hidden" name="affiliate_commission_payment_module[<?php echo $module_row; ?>][position]" value="content_top">
			<input type="hidden" name="affiliate_commission_payment_module[<?php echo $module_row; ?>][sort_order]" value="1">					
        <tbody id="module-row<?php echo $module_row; ?>">
          <tr>            
            <td class="left"><select name="affiliate_commission_payment_module[<?php echo $module_row; ?>][layout_id]">
                <?php foreach ($layouts as $layout) { ?>
                <?php if ($layout['layout_id'] == $module['layout_id']) { ?>
                <option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select></td>            
            <td class="left"><select name="affiliate_commission_payment_module[<?php echo $module_row; ?>][status]">
                <?php if ($module['status']) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>            
            <td class="center">
				<select name="affiliate_commission_payment_module[<?php echo $module_row; ?>][payment]">					
					<option value="cheque"><?php echo $entry_cheque; ?></option>
					<option value="paypal"><?php echo $entry_paypal; ?></option>
					<option value="bank"><?php echo $entry_bank; ?></option>
				</select>
			</td>			
            <td class="left"><a onclick="$('#module-row<?php echo $module_row; ?>').remove();" class="button"><?php echo $button_remove; ?></a></td>
          </tr>
        </tbody>
        <?php $module_row++; ?>        
		<?php } ?>
        <tfoot>
          <tr>
            <td colspan="3"></td>
            <td class="left"><a onclick="addModule();" class="button"><?php echo $button_add_property; ?></a></td>
          </tr>
        </tfoot>
      </table>
    </form>
  </div>
</div>
<script type="text/javascript"><!--
var module_row = <?php echo $module_row; ?>;

function addModule() {	
	if (module_row <= 2) {
	html = '<tbody id="module-row' + module_row + '">';	
	html += '<input type="hidden" name="affiliate_commission_payment_module[' + module_row + '][width]" value="1">';
	html += '<input type="hidden" name="affiliate_commission_payment_module[' + module_row + '][height]" value="1">';
	html += '<input type="hidden" name="affiliate_commission_payment_module[' + module_row + '][position]" value="content_top">';
	html += '<input type="hidden" name="affiliate_commission_payment_module[' + module_row + '][sort_order]" value="1">';
	html += '  <tr>';	
	html += '    <td class="left"><select name="affiliate_commission_payment_module[' + module_row + '][layout_id]">';
	<?php foreach ($layouts as $layout) { ?>
	<?php if ((int)$layout['layout_id'] == 7) { ?>
	html += '      <option value="<?php echo $layout['layout_id']; ?>" selected><?php echo addslashes($layout['name']); ?></option>';
	<?php } else { ?>
	html += '      <option value="<?php echo $layout['layout_id']; ?>"><?php echo addslashes($layout['name']); ?></option>';	
	<?php } ?>
	<?php } ?>
	html += '    </select></td>';	
	html += '    <td class="left"><select name="affiliate_commission_payment_module[' + module_row + '][status]">';
    html += '      <option value="1" selected="selected"><?php echo $text_enabled; ?></option>';
    html += '      <option value="0"><?php echo $text_disabled; ?></option>';
    html += '    </select></td>';	
	html += '	 <td class="center">';
	html += '	 <select name="affiliate_commission_payment_module[' + module_row + '][payment]">';
	html += '	 	<option value="cheque"><?php echo $entry_cheque; ?></option>';
	html += '		<option value="paypal"><?php echo $entry_paypal; ?></option>';
	html += '	    <option value="bank"><?php echo $entry_bank; ?></option>';
	html += '	 </select>';
	html += '	 </td>';	
	html += '    <td class="left"><a onclick="$(\'#module-row' + module_row + '\').remove();" class="button"><?php echo $button_remove; ?></a></td>';	
	html += '  </tr>';
	html += '</tbody>';	
	
	$('#module tfoot').before(html);
	}
	
	module_row++;	
	
}
//--></script> 
<?php echo $footer; ?>